Update testset
Update a testset's metadata.
## Authentication
- API key: `Authorization: Bearer `
## Path Parameters
- `testset_id` *string* **required**: The ID of the testset to update.
## Request Body
```json Request
{
"name": "Updated Test API Dataset",
"starred": false,
"description": "Updated description for the dataset"
}
```
## Examples
```python Python
testset_id = "testset_id_123"
url = f"https://api.respan.ai/api/testsets/{testset_id}"
headers = {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json"
}
data = {
"name": "Updated Test API Dataset",
"description": "Updated description for the dataset"
}
response = requests.patch(url, headers=headers, json=data)
print(response.json())
```
```bash cURL
curl -X PATCH "https://api.respan.ai/api/testsets/{testset_id}" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "Updated Test API Dataset",
"description": "Updated description"
}'
```
## Response
```json 200 OK
{
"id": "testset_id_123",
"name": "Updated Test API Dataset",
"description": "Updated description for the dataset"
}
```
Authentication
AuthorizationBearer
API key authentication. Get your API key from https://platform.respan.ai/platform/api-keys
Path parameters
testset_id
The ID of the testset to update.
Request
This endpoint expects an object.
Response
Successful response for Update testset
Errors
401
Unauthorized Error